import { type z } from "zod";
declare const zSdkConfig: z.ZodObject<{
    debug: z.ZodDefault<z.ZodBoolean>;
    languageNegotiation: z.ZodObject<{
        strict: z.ZodDefault<z.ZodOptional<z.ZodBoolean>>;
        strategies: z.ZodEffects<z.ZodArray<z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"url">;
            variant: z.ZodDefault<z.ZodUnion<any>>;
        }, "strip", z.ZodTypeAny, {
            type: "url";
            variant?: any;
        }, {
            type: "url";
            variant?: any;
        }>, z.ZodObject<{
            type: z.ZodLiteral<"acceptLanguageHeader">;
        }, "strip", z.ZodTypeAny, {
            type: "acceptLanguageHeader";
        }, {
            type: "acceptLanguageHeader";
        }>, z.ZodObject<{
            type: z.ZodLiteral<"navigator">;
        }, "strip", z.ZodTypeAny, {
            type: "navigator";
        }, {
            type: "navigator";
        }>, z.ZodObject<{
            type: z.ZodLiteral<"localStorage">;
            key: z.ZodDefault<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            type: "localStorage";
            key: string;
        }, {
            type: "localStorage";
            key?: string | undefined;
        }>]>, "many">, [{
            type: "url";
            variant?: any;
        } | {
            type: "acceptLanguageHeader";
        } | {
            type: "navigator";
        } | {
            type: "localStorage";
            key: string;
        }, ...({
            type: "url";
            variant?: any;
        } | {
            type: "acceptLanguageHeader";
        } | {
            type: "navigator";
        } | {
            type: "localStorage";
            key: string;
        })[]], ({
            type: "url";
            variant?: any;
        } | {
            type: "acceptLanguageHeader";
        } | {
            type: "navigator";
        } | {
            type: "localStorage";
            key?: string | undefined;
        })[]>;
    }, "strip", z.ZodTypeAny, {
        strict: boolean;
        strategies: [{
            type: "url";
            variant?: any;
        } | {
            type: "acceptLanguageHeader";
        } | {
            type: "navigator";
        } | {
            type: "localStorage";
            key: string;
        }, ...({
            type: "url";
            variant?: any;
        } | {
            type: "acceptLanguageHeader";
        } | {
            type: "navigator";
        } | {
            type: "localStorage";
            key: string;
        })[]];
    }, {
        strategies: ({
            type: "url";
            variant?: any;
        } | {
            type: "acceptLanguageHeader";
        } | {
            type: "navigator";
        } | {
            type: "localStorage";
            key?: string | undefined;
        })[];
        strict?: boolean | undefined;
    }>;
    resources: z.ZodDefault<z.ZodObject<{
        cache: z.ZodDefault<z.ZodLiteral<"build-time">>;
    }, "strip", z.ZodTypeAny, {
        cache: "build-time";
    }, {
        cache?: "build-time" | undefined;
    }>>;
    routing: z.ZodDefault<z.ZodObject<{
        exclude: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    }, "strip", z.ZodTypeAny, {
        exclude: string[];
    }, {
        exclude?: string[] | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    debug: boolean;
    languageNegotiation: {
        strict: boolean;
        strategies: [{
            type: "url";
            variant?: any;
        } | {
            type: "acceptLanguageHeader";
        } | {
            type: "navigator";
        } | {
            type: "localStorage";
            key: string;
        }, ...({
            type: "url";
            variant?: any;
        } | {
            type: "acceptLanguageHeader";
        } | {
            type: "navigator";
        } | {
            type: "localStorage";
            key: string;
        })[]];
    };
    resources: {
        cache: "build-time";
    };
    routing: {
        exclude: string[];
    };
}, {
    languageNegotiation: {
        strategies: ({
            type: "url";
            variant?: any;
        } | {
            type: "acceptLanguageHeader";
        } | {
            type: "navigator";
        } | {
            type: "localStorage";
            key?: string | undefined;
        })[];
        strict?: boolean | undefined;
    };
    debug?: boolean | undefined;
    resources?: {
        cache?: "build-time" | undefined;
    } | undefined;
    routing?: {
        exclude?: string[] | undefined;
    } | undefined;
}>;
export declare const validateSdkConfig: (config?: SdkConfigInput) => SdkConfig;
export type SdkConfigInput = z.input<typeof zSdkConfig>;
export type SdkConfig = z.output<typeof zSdkConfig>;
export {};
